'use strict';

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

scrivito.editors.DomContentProxy = (function () {
  function DomContentProxy(domNode) {
    _classCallCheck(this, DomContentProxy);

    this.domNode = domNode;
  }

  _createClass(DomContentProxy, [{
    key: 'content',
    value: function content() {
      return this.jQueryElement().scrivito('content');
    }
  }, {
    key: 'idFromPath',
    value: function idFromPath(path) {
      return scrivito.id_from_path(path);
    }
  }, {
    key: 'jQueryElement',
    value: function jQueryElement() {
      return $(this.domNode);
    }
  }, {
    key: 'pathForId',
    value: function pathForId(id) {
      return scrivito.path_for_id(id);
    }
  }, {
    key: 'save',
    value: function save(content) {
      return this.jQueryElement().scrivito('save', content);
    }
  }, {
    key: 'trigger',
    value: function trigger(event) {
      return this.jQueryElement().trigger(event);
    }
  }]);

  return DomContentProxy;
})();
