(function() {
  scrivito.editors._setupButtonContainer = function(element) {
    var container, containerClass;
    if (element.is('img')) {
      containerClass = 'scrivito-editors-image-ui-container';
    } else {
      containerClass = 'scrivito-editors-ui-container';
    }
    container = element.parent(".scrivito-editor-button-container");
    if (container.length) {
      return container.addClass(containerClass);
    } else {
      container = element.wrap("<div class='" + containerClass + " scrivito-editor-button-container' />").parent();
      element.css('min-height', container.css('min-height'));
      return container;
    }
  };

  scrivito.editors._showButtonContainerProgress = function(element) {
    return element.parent(".scrivito-editor-button-container").addClass("scrivito_element_overlay");
  };

}).call(this);
