module ScrivitoEditors
  module ScrivitoTagHelper
    def scrivito_edit_enum(object, attribute_name, options = {})
      raise %{
        The "scrivito_edit_enum" view helper has been removed.
        Please use the "scrivito_tag" helper instead.
        "scrivito_tag" now activates the enum editor by default for all enum attributes.
      }
    end

    def scrivito_edit_multienum(object, attribute_name, options = {})
      raise %{
        The "scrivito_edit_multienum" view helper has been removed.
        Please use the "scrivito_tag" helper instead.
        "scrivito_tag" now activates the multienum editor by default for all multienum attributes.
      }
    end

    def scrivito_edit_reference(object, attribute_name, options = {})
      raise %{
        The "scrivito_edit_reference" view helper has been removed.
        Please use the "scrivito_tag" helper instead.
        "scrivito_tag" now activates the reference editor by default for all reference attributes.
      }
    end

    def scrivito_edit_referencelist(object, attribute_name, html_options = {}, editing_options = {})
      raise %{
        The "scrivito_edit_referencelist" view helper has been removed.
        Please use the "scrivito_tag" helper instead.
        "scrivito_tag" now activates the referencelist editor by default for all referencelist
        attributes.
      }
    end

    def scrivito_edit_link(object, attribute_name, html_options = {}, editing_options = {})
      raise %{
        The "scrivito_edit_link" view helper has been removed.
        Please use the "scrivito_tag" helper instead.
        "scrivito_tag" now activates the link editor by default for all link attributes.
      }
    end

    def scrivito_edit_linklist(object, attribute_name, html_options = {}, editing_options = {})
      raise %{
        The "scrivito_edit_linklist" view helper has been removed.
        Please use the "scrivito_tag" helper instead.
        "scrivito_tag" now activates the linklist editor by default for all linklist attributes.
      }
    end
  end
end
